package com.adealink.weparty.permission

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.module.profile.ProfileModule
import com.adealink.weparty.storage.PREF_PERMISSION

object PermissionPerf : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences(PREF_PERMISSION, Context.MODE_PRIVATE)
    },
    userId = {
        ProfileModule.getMyUid()
    }
) {

    /**
     * 下一次检查时间
     */
    var checkNotificationTs: Long by PrefUserKey("key_check_notification_ts", 0)

}